package be.iminds.ilabt.jfed.experimenter_gui.editor.properties.cmi;

import be.iminds.ilabt.jfed.experimenter_gui.JFedConfiguration;
import be.iminds.ilabt.jfed.highlevel.controller.HighLevelController;
import be.iminds.ilabt.jfed.highlevel.model.AuthorityInfo;

import javax.annotation.Nullable;
import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 12/5/2014
 * Time: 11:54
 */
@Singleton
public class ComponentManagerInfoFactory {

    private final HighLevelController hlc;

    @Inject
    public ComponentManagerInfoFactory(HighLevelController hlc) {
        this.hlc = hlc;
    }


    public ComponentManagerInfo createComponentManagerInfo(AuthorityInfo authorityInfo,
                                                           @Nullable JFedConfiguration.TestbedDescription testbedDescription) {
        return new ComponentManagerInfo(authorityInfo, testbedDescription, hlc);

    }
}
