package be.iminds.ilabt.jfed.experimenter_gui.slice.tasks;

import be.iminds.ilabt.jfed.experimenter_gui.slice.Experiment;
import be.iminds.ilabt.jfed.highlevel.controller.HighLevelController;
import be.iminds.ilabt.jfed.highlevel.controller.Task;

/**
 * User: twalcari
 * Date: 2/2/2015
 * Time: 17:23
 */
public class UpdateExperimentTask extends SingleCallExperimentTask {

    UpdateExperimentTask(Experiment experiment, HighLevelController hlc) {
        super(experiment, hlc);

        updateTitle("Update experiment status");
    }

    @Override
    public Task createTask() {
        return hlc.getSliceStatus(experiment.getSlice());
    }
}
