package be.iminds.ilabt.jfed.experimenter_gui.dialogs;

import be.iminds.ilabt.jfed.experimenter_gui.bugreporting.BugReportComposer;
import javafx.fxml.FXML;
import javafx.scene.control.TextField;

import javax.inject.Inject;

/**
 * User: twalcari
 * Date: 12/9/13
 * Time: 8:58 AM
 */
public class AboutDialog {
    @FXML
    private TextField versionTextField;
    @FXML
    private TextField environmentTextField;
    @FXML
    private TextField credentialsTextField;
    @FXML
    private TextField emailTextField;
    @FXML
    private TextField certExpirationTextField;


    private final BugReportComposer bugReportComposer;

    @Inject
    public AboutDialog(BugReportComposer bugReportComposer) {
        this.bugReportComposer = bugReportComposer;
    }

    public void initialize() {

        versionTextField.textProperty().bind(bugReportComposer.versionProperty());
        environmentTextField.textProperty().bind(bugReportComposer.environmentProperty());
        credentialsTextField.textProperty().bind(bugReportComposer.credentialsProperty());
        emailTextField.textProperty().bind(bugReportComposer.emailProperty());
        certExpirationTextField.textProperty().bind(bugReportComposer.certificateExpirationProperty());
    }
}
