package be.iminds.ilabt.jfed.highlevel;

import be.iminds.ilabt.jfed.log.Logger;
import be.iminds.ilabt.jfed.log.cache.ApiCallDetailsCache;
import be.iminds.ilabt.jfed.log.cache.DiskApiCallDetailsCache;
import be.iminds.ilabt.jfed.util.JavaFXLogger;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 11/27/2014
 * Time: 14:32
 */
public class HighLevelModule extends AbstractModule {

    @Override
    protected void configure() {
        bind(ApiCallDetailsCache.class).to(DiskApiCallDetailsCache.class).in(Singleton.class);
        bind(Logger.class).to(JavaFXLogger.class);
    }
}
